"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isGitTagPublishLabel = exports.isNpmPublishLabel = exports.isSemverPublishLabel = void 0;
const SEMVER_PUBLISH_LABELS = ["no version", "patch", "minor", "major"];
function isSemverPublishLabel(label) {
    return SEMVER_PUBLISH_LABELS.includes(label);
}
exports.isSemverPublishLabel = isSemverPublishLabel;
/**
 * Returns true if the provided label has the conventional format for an NPM publish label,
 * false otherwise.
 *
 * Also acts as a typeguard for Typescript.
 *
 * @param label - The label to test
 */
function isNpmPublishLabel(label) {
    return isSemverPublishLabel(label);
}
exports.isNpmPublishLabel = isNpmPublishLabel;
/**
 * Returns true if the provided label has the conventional format for an NPM publish label,
 * false otherwise.
 *
 * Also acts as a typeguard for Typescript.
 *
 * @param label - The label to test
 */
function isGitTagPublishLabel(label) {
    return isSemverPublishLabel(label);
}
exports.isGitTagPublishLabel = isGitTagPublishLabel;
//# sourceMappingURL=label.js.map